Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002607 [JEDI VCL] 00 JVCL Components minor always 2005-02-06 05:32 2005-08-09 07:16
Reporter anonymous View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0002607: moreDock painting bugs
Description Sometimes when windows are docked they don't draw caption bar. I used ReshowAllVisibleWindow but it does not help.

See attachment for demo.
Additional Information
Tags No tags attached.
Attached Files zip file icon Dock bug.zip [^] (328,622 bytes) 2005-02-06 05:32
png file icon screenshot2.png [^] (41,814 bytes) 2005-02-06 05:38

- Relationships
related to 0002803resolvedremkobonte JvDockVSNetStyle auto hide bug 

-  Notes
(0007018)
remkobonte (developer)
2005-04-16 02:35
edited on: 2005-04-16 02:36

I think the dock controls assume that you do NOT alter (resize) the dock panels at run-time. Try using the properties LRDockWidth, TBDockHeight for that (either of the form or the TJvDockClient component):

procedure TForm1.setDefaultLayout;
  procedure VSNetDockForm(AForm: TForm; APanel: TJvDockVSNETPanel; AutoHide: Boolean; Align: TAlign);
  begin
    AForm.ManualDock(APanel, nil, Align);
    APanel.ShowDockPanel(True, AForm);
    if AutoHide then
      APanel.DoAutoHideControl(AForm);
  end;
begin
// dckSrv.LeftDockPanel.Width := Round(Self.Width * 0.3);
  frmMailbox.dck.LRDockWidth := Round(Self.Width * 0.3);
  VSNetDockForm(frmMailbox, dckSrv.LeftDockPanel as TJvDockVSNETPanel, False, alTop);
  ReshowAllVisibleWindow; //otherwise we have painting problems
end;

(0007737)
obones (administrator)
2005-08-09 07:16

No answers, this is considered fixed.

- Issue History
Date Modified Username Field Change
2005-02-06 05:32 anonymous New Issue
2005-02-06 05:32 anonymous File Added: Dock bug.zip
2005-02-06 05:38 anonymous File Added: screenshot2.png
2005-04-16 02:31 remkobonte Relationship added related to 0002803
2005-04-16 02:35 remkobonte Note Added: 0007018
2005-04-16 02:36 remkobonte Note Edited: 0007018
2005-08-09 07:16 obones Status new => resolved
2005-08-09 07:16 obones Resolution open => fixed
2005-08-09 07:16 obones Assigned To => obones
2005-08-09 07:16 obones Note Added: 0007737


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker